#ifndef LJ3100_H
#define LJ3100_H

#include <sys/types.h>

struct lj3100_status {
	u_int32_t endianess1;
	u_int32_t endianess2;
	u_int32_t unknown08;
	u_int32_t unknown0c;

	u_int32_t scanned;
	u_int32_t scanned_copy;
	u_int32_t printed;
	u_int32_t sent_ec;

	u_int32_t sent_noec;
	u_int32_t received_ec;
	u_int32_t received_noec;
	u_int32_t scan_errors;

	u_int32_t print_errors;
	u_int32_t send_ec_errors;
	u_int32_t send_noec_errors;
	u_int32_t receive_ec_errors;

	u_int32_t receive_noec_errors;
	u_int32_t time;
	u_int32_t endianess3;
	u_int32_t endianess4;

	u_int32_t unknown50;
	u_int32_t unknown54;
	u_int32_t unknown58;
	u_int32_t unknown5c;
	u_int32_t unknown60;
	u_int32_t unknown64;
	u_int32_t unknown68;
	u_int32_t unknown6c;
	u_int32_t unknown70;
	u_int32_t unknown74;
	u_int32_t unknown78;
	u_int32_t unknown7c;
	u_int32_t unknown80;
	u_int32_t unknown84;
	u_int32_t unknown88;
	u_int32_t unknown8c;
	u_int32_t unknown90;
	u_int32_t unknown94;

	u_int16_t unknown98;

	u_int8_t message[2][0x15];
};

extern void lj3100_swap_status(struct lj3100_status *status);

#endif /* LJ3100_H */
